Problèmes d'installation Arduino IDE sur Linux Mint 19.3. [Résolu]

Signaler
-
Messages postés
35632
Date d'inscription
dimanche 7 novembre 2010
Statut
Contributeur
Dernière intervention
26 septembre 2020
-
Comme indiqué dans le titre, je souhaite installer Arduino IDE afin de m'exercer sur le micro contrôleur, pour cela je suis les démarches : je télécharge la dernière version , j’extrais le paquet, j’exécute le script d'installation ect... Tout va pour le mieux, seulement, au moment ou je lance Arduino IDE dans le terminal un message d'erreur s'affiche :


Picked up JAVA_TOOL_OPTIONS:
Set log4j store directory /home/laptop/.arduino15
java.lang.UnsatisfiedLinkError: /home/laptop/Téléchargements/arduino-1.8.10/java/lib/i386/libawt_xawt.so: libXrender.so.1: Ne peut ouvrir le fichier d'objet partagé: Aucun fichier ou dossier de ce type
at java.lang.ClassLoader$NativeLibrary.load(Native Method)
at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1941)
at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1824)
at java.lang.Runtime.load0(Runtime.java:809)
at java.lang.System.load(System.java:1086)
at java.lang.ClassLoader$NativeLibrary.load(Native Method)
at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1941)
at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1845)
at java.lang.Runtime.loadLibrary0(Runtime.java:870)
at java.lang.System.loadLibrary(System.java:1122)
at java.awt.Toolkit$3.run(Toolkit.java:1636)
at java.awt.Toolkit$3.run(Toolkit.java:1634)
at java.security.AccessController.doPrivileged(Native Method)
at java.awt.Toolkit.loadLibraries(Toolkit.java:1633)
at java.awt.Toolkit.<clinit>(Toolkit.java:1670)
at cc.arduino.view.SplashScreenHelper.<init>(SplashScreenHelper.java:55)
at processing.app.Base.<init>(Base.java:238)
at processing.app.Base.main(Base.java:150)

Pourriez vous m'aider s'il vous plait ? Merci Beaucoup. J'ai également posté ce message dans un autre salon

1 réponse

Messages postés
35632
Date d'inscription
dimanche 7 novembre 2010
Statut
Contributeur
Dernière intervention
26 septembre 2020
5 470
Salut,
/home/laptop/Téléchargements/arduino-1.8.10/java/lib/i386/libawt_xawt.so
Ton système (Mint) est en 32 bit ?

Je viens de télécharger et extraire l'archive pour x64, et je n'ai pas de dossier i386 dans
/java/lib/
, mais de l'
amd64
;-\

As-tu pris la bonne archive sur le site ?

Effectivement, j'ai changé et pris un 64 bit et ça marche. merci beaucoup !
Messages postés
35632
Date d'inscription
dimanche 7 novembre 2010
Statut
Contributeur
Dernière intervention
26 septembre 2020
5 470 > RWBYforever
De rien ;-)